GET api/appointmentrequestreasons/search?changed={changed}&isDeleted={isDeleted}&page={page}&itemsPerPage={itemsPerPage}

Returns a list of appointment request reasons.

Request Information

URI Parameters

NameDescriptionTypeAdditional information
changed

Filter reasons on whether they are changed or not.

boolean

None.

isDeleted

Filter reasons on whether they are deleted or not.

boolean

None.

page

Page number requested (search results are paginated).

integer

Default value is 1

itemsPerPage

Items to return on each page. See page parameter above.

integer

Default value is 10

Body Parameters

None.

Response Information

Resource Description

ListModelOfAppointmentRequestReasonModel
NameDescriptionTypeAdditional information
TotalItems

integer

None.

ItemsPerPage

integer

None.

CurrentPage

integer

None.

TotalPages

integer

None.

FirstRowOnPage

integer

None.

LastRowOnPage

integer

None.

Rows

Collection of AppointmentRequestReasonModel

None.

Response Formats

application/json, text/json

Sample:
{
  "totalItems": 1,
  "itemsPerPage": 2,
  "currentPage": 3,
  "totalPages": 4,
  "firstRowOnPage": 5,
  "lastRowOnPage": 6,
  "rows": [
    {
      "internalId": "9f3732fd-bcb0-4f8b-83cc-0b31b08f16b8",
      "accountId": "6d28f956-e61d-426f-bf6a-480c70e8911b",
      "name": "sample string 3",
      "appliesToNewPatients": true,
      "appliesToExistentPatients": true,
      "isLogicalDeleted": true,
      "slotDuration": 7,
      "changed": true,
      "active": true,
      "lastChanged": "sample string 10"
    },
    {
      "internalId": "9f3732fd-bcb0-4f8b-83cc-0b31b08f16b8",
      "accountId": "6d28f956-e61d-426f-bf6a-480c70e8911b",
      "name": "sample string 3",
      "appliesToNewPatients": true,
      "appliesToExistentPatients": true,
      "isLogicalDeleted": true,
      "slotDuration": 7,
      "changed": true,
      "active": true,
      "lastChanged": "sample string 10"
    }
  ]
}

application/xml, text/xml

Sample:
<ListModelOfAppointmentRequestReasonModelGOBD1p31 xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">
  <CurrentPage>3</CurrentPage>
  <FirstRowOnPage>5</FirstRowOnPage>
  <ItemsPerPage>2</ItemsPerPage>
  <LastRowOnPage>6</LastRowOnPage>
  <Rows xmlns:d2p1="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.AppointmentRequestReasons">
    <d2p1:AppointmentRequestReasonModel>
      <d2p1:AccountId>6d28f956-e61d-426f-bf6a-480c70e8911b</d2p1:AccountId>
      <d2p1:Active>true</d2p1:Active>
      <d2p1:AppliesToExistentPatients>true</d2p1:AppliesToExistentPatients>
      <d2p1:AppliesToNewPatients>true</d2p1:AppliesToNewPatients>
      <d2p1:Changed>true</d2p1:Changed>
      <d2p1:InternalId>9f3732fd-bcb0-4f8b-83cc-0b31b08f16b8</d2p1:InternalId>
      <d2p1:IsLogicalDeleted>true</d2p1:IsLogicalDeleted>
      <d2p1:LastChanged>sample string 10</d2p1:LastChanged>
      <d2p1:Name>sample string 3</d2p1:Name>
      <d2p1:SlotDuration>7</d2p1:SlotDuration>
    </d2p1:AppointmentRequestReasonModel>
    <d2p1:AppointmentRequestReasonModel>
      <d2p1:AccountId>6d28f956-e61d-426f-bf6a-480c70e8911b</d2p1:AccountId>
      <d2p1:Active>true</d2p1:Active>
      <d2p1:AppliesToExistentPatients>true</d2p1:AppliesToExistentPatients>
      <d2p1:AppliesToNewPatients>true</d2p1:AppliesToNewPatients>
      <d2p1:Changed>true</d2p1:Changed>
      <d2p1:InternalId>9f3732fd-bcb0-4f8b-83cc-0b31b08f16b8</d2p1:InternalId>
      <d2p1:IsLogicalDeleted>true</d2p1:IsLogicalDeleted>
      <d2p1:LastChanged>sample string 10</d2p1:LastChanged>
      <d2p1:Name>sample string 3</d2p1:Name>
      <d2p1:SlotDuration>7</d2p1:SlotDuration>
    </d2p1:AppointmentRequestReasonModel>
  </Rows>
  <TotalItems>1</TotalItems>
  <TotalPages>4</TotalPages>
</ListModelOfAppointmentRequestReasonModelGOBD1p31>